---
title: "Create placement day of week targeting"
type: reference
method: POST
path: /rest-api/placement/{placementId}/targeting/day-of-week/create.do
tag: "Targeting Rules"
---

# Create placement day of week targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/placement/{placementId}/targeting/day-of-week/create.do`

Creates a day-of-week targeting rule for the specified placement. Targets ad delivery to specific days of the week. Valid values are MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, and SUNDAY. Requires UPDATE permission on the placement and MANAGE_SUPPLY_PRE_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `placementId` | integer | yes | `4001` | Unique numeric ID of the placement |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `dayOfWeek` | string | yes | `MONDAY` | Day of week — MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, or SUNDAY |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Placement not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/placement/4001/targeting/day-of-week/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'dayOfWeek=MONDAY'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-placement-targeting-day-of-week-create